| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
OS_TASKMGR_STATUS_s Struct Reference

Task manager data status. More...

`#include <os/rtos_typedef.h>`

Collaboration diagram for OS_TASKMGR_STATUS_s:

## Data Fields
union {
volatile uint16_t value
| Status word value. More...
}; |
unsigned | lp_active: 1
| Bit 0: Flag indicating that high-priority task queue is executed frequently. More...
unsigned | hp_active: 1
| Bit 1: Flag indicating that low-priority task queue is executed frequently. More...
unsigned | lp_timeout: 1
| Bit 2: Flag indicating that a low-priority queue timeout occured. More...
unsigned | isr_timeout: 1
| Bit 3: Flag indicating that OS timer interrupt has timed out. More...
unsigned | __pad0__: 1
| Bit 4: (reserved) More...
unsigned | __pad1__: 1
| Bit 5: (reserved) More...
unsigned | __pad2__: 1
| Bit 6: (reserved) More...
unsigned | __pad3__: 1
| Bit 7: (reserved) More...
unsigned | __pad4__: 1
| Bit 8: (reserved) More...
unsigned | __pad5__: 1
| Bit 9: (reserved) More...
unsigned | __pad6__: 1
| Bit 10: (reserved) More...
unsigned | __pad7__: 1
| Bit 11: (reserved) More...
unsigned | __pad8__: 1
| Bit 12: (reserved) More...
unsigned | __pad9__: 1
| Bit 13: (reserved) More...
unsigned | __pad10__: 1
| Bit 14: (reserved) More...
unsigned | disable: 1
| When set, causes the execution of main() to be terminated resulting in a CPU reset. More...

## Detailed Description

Task manager data status.

Definition at line 48 of file rtos_typedef.h.

## Field Documentation

## ◆ @367

union { ... }

## ◆ __pad0__

unsigned __pad0__

Bit 4: (reserved)

Definition at line 55 of file rtos_typedef.h.

## ◆ __pad10__

unsigned __pad10__

Bit 14: (reserved)

Definition at line 66 of file rtos_typedef.h.

## ◆ __pad1__

unsigned __pad1__

Bit 5: (reserved)

Definition at line 56 of file rtos_typedef.h.

## ◆ __pad2__

unsigned __pad2__

Bit 6: (reserved)

Definition at line 57 of file rtos_typedef.h.

## ◆ __pad3__

unsigned __pad3__

Bit 7: (reserved)

Definition at line 58 of file rtos_typedef.h.

## ◆ __pad4__

unsigned __pad4__

Bit 8: (reserved)

Definition at line 60 of file rtos_typedef.h.

## ◆ __pad5__

unsigned __pad5__

Bit 9: (reserved)

Definition at line 61 of file rtos_typedef.h.

## ◆ __pad6__

unsigned __pad6__

Bit 10: (reserved)

Definition at line 62 of file rtos_typedef.h.

## ◆ __pad7__

unsigned __pad7__

Bit 11: (reserved)

Definition at line 63 of file rtos_typedef.h.

## ◆ __pad8__

unsigned __pad8__

Bit 12: (reserved)

Definition at line 64 of file rtos_typedef.h.

## ◆ __pad9__

unsigned __pad9__

Bit 13: (reserved)

Definition at line 65 of file rtos_typedef.h.

## ◆ disable

unsigned disable

When set, causes the execution of main() to be terminated resulting in a CPU reset.

Definition at line 67 of file rtos_typedef.h.

## ◆ hp_active

unsigned hp_active

Bit 1: Flag indicating that low-priority task queue is executed frequently.

Definition at line 52 of file rtos_typedef.h.

## ◆ isr_timeout

unsigned isr_timeout

Bit 3: Flag indicating that OS timer interrupt has timed out.

Definition at line 54 of file rtos_typedef.h.

## ◆ lp_active

unsigned lp_active

Bit 0: Flag indicating that high-priority task queue is executed frequently.

Definition at line 51 of file rtos_typedef.h.

## ◆ lp_timeout

unsigned lp_timeout

Bit 2: Flag indicating that a low-priority queue timeout occured.

Definition at line 53 of file rtos_typedef.h.

## ◆ value

volatile uint16_t value

Status word value.

Definition at line 69 of file rtos_typedef.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/os/rtos_typedef.h